<div>
    <div class="aplly-form mb-3">
        <div class="container">
            <form [formGroup]="form">
                <div formGroupName="firstStep" *ngIf="step">
                    <div class="title">
                        <a class="nav-link d-inline-block p-0" routerLink="/customer/my-applications"><i class="bi bi-chevron-left fs-4"></i></a>
                        <span class="fs-3 ml-3">{{'client.financial-leasing' | translate}}</span>
                    </div>

                    <div class="mt-3">
                        <span class="fs-4">{{'client.dataPerson' | translate}}</span>
                        <div class="row mt-2">
                            <div class="mb-3 w-50">
                                <label for="lastName" class="form-label">{{'client.lastname' | translate}}<span class="text-danger">*</span></label>
                                <input type="text" id="lastName" class="form-control" placeholder="{{'client.lastnameHolder' | translate}}"
                                    formControlName="lastName">
                            </div>

                            <div class="mb-3 w-50">
                                <label for="firstName" class="form-label">{{'client.firstname' | translate}}<span class="text-danger">*</span></label>
                                <input type="text" id="firstName" class="form-control" placeholder="{{'client.firstnameHolder' | translate}}"
                                    formControlName="firstName">
                            </div>

                            <div class="mb-3 w-50">
                                <label for="patronymic" class="form-label">{{'client.patronymic' | translate}}</label>
                                <input type="text" id="patronymic" class="form-control" placeholder="{{'client.patronymicHolder' | translate}}"
                                    formControlName="patronymic">
                            </div>

                            <div class="mb-3 w-50">
                                <label for="phoneNumber" class="form-label">{{'client.phone' | translate}}<span class="text-danger">*</span></label>
                                <input type="tel" id="phoneNumber" class="form-control" maxlength="18"
                                    formControlName="phoneNumber">
                            </div>

                            <div class="mb-3 w-50">
                                <label for="email" class="form-label">{{'client.email' | translate}}<span class="text-danger">*</span></label>
                                <input type="email" id="email" class="form-control" [class.input-invalid]="form.get('firstStep').get('email').touched && form.get('firstStep').get('email').invalid" placeholder="example@gmail.com"
                                    formControlName="email">
                            </div>
                        </div>
                    </div>

                    <div class="mt-3">
                        <span class="fs-4">{{'client.dataOrganization' | translate}}</span>
                        <div class="row">

                            <div class="mb-3 w-50">
                                <label for="iin" class="form-label">{{'client.iin_bin' | translate}}<span class="text-danger">*</span></label>
                                <input type="text" id="iin" class="form-control" [class.input-invalid]="form.get('firstStep').get('iin').touched && form.get('firstStep').get('iin').invalid" maxlength="12" formControlName="iin">
                            </div>

                            <div class="mb-3 w-50">
                                <label for="nameOrgan" class="form-label">{{'client.nameOrgan' | translate}}<span class="text-danger">*</span></label>
                                <input type="text" id="nameOrgan" class="form-control" formControlName="organizationName">
                            </div>

                            <div class="mb-3 w-50">
                                <label for="kindOrgan" class="form-label">{{'client.activity' | translate}}<span class="text-danger">*</span></label>
                                <select id="kindOrgan" class="form-control" formControlName="activityType">
                                    <option [value]="activity.id" *ngFor="let activity of activityTypes">{{activity.name}}</option>
                                </select>
                            </div>

                        </div>
                    </div>
                    <button class="btn btn-outline-dark" (click)="proceed()" role="button" [disabled]="!validate">{{'client.next' | translate}}</button>
                </div>
                <div formGroupName="secondStep" *ngIf="!step">
                    <div class="title">
                        <a class="nav-link d-inline-block" (click)="proceed()"><i class="bi bi-arrow-left-short fs-3"></i></a>
                        <span class="fs-3 ml-3">{{'client.step' | translate}} 2. {{'client.fill-application' | translate}}</span>
                    </div>

                    <div>
                        <div class="row">

                            <div class="mb-3 w-50">
                                <label class="form-label">{{'client.appealLetter' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'appealLetter')">
                            </div>

                            <div class="mb-3 w-50">
                                <label class="form-label">{{'client.statement' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'application')">
                            </div>

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'entity'">
                                <label class="form-label">{{'client.regulation' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'regulation')">
                            </div>

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'entity'">
                                <label class="form-label">{{'client.associationMemorandum' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'associationMemorandum')">
                            </div>

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'entity'">
                                <label class="form-label">{{'client.legalEntityStateRegistrationCertificate' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'legalEntityStateRegistrationCertificate')">
                            </div>

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'entity'">
                                <label class="form-label">{{'client.financialReport' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'financialReport')">
                            </div>

                            <div class="mb-3 w-50">
                                <label class="form-label">{{'client.creditBureauReport' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'creditBureauReport')">
                            </div>

                            <div class="mb-3 w-50">
                                <label class="form-label">{{'client.businessPlan' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'businessPlan')">
                            </div>

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'entity'">
                                <label class="form-label">{{'client.commercialOffer' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'commercialOffer')">
                            </div>

                            <div class="mb-3 w-50">
                                <label class="form-label">{{'client.financialSecurityDocument' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'financialSecurityDocument')">
                            </div>

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'individual'">
                                <label class="form-label">{{'client.legalStatusDocuments' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'legalStatusDocuments')">
                            </div>

                            <div class="mb-3 w-50">
                                <label class="form-label">{{'client.collateralDocument' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'collateralDocument')">
                            </div>

                            <div class="mb-3 w-50">
                                <label class="form-label">{{'client.taxReturn' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'taxReturn')">
                            </div>

                        </div>
                        <hr>
                        <div class="row">

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'entity'">
                                <label class="form-label">{{'client.idDocuments' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'idDocuments')">
                            </div>

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'individual'">
                                <label class="form-label">{{'client.landExecDecision' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'landExecDecision')">
                            </div>

                            <div class="mb-3 w-50">
                                <label class="form-label">{{'client.projectPresentation' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'projectPresentation')">
                            </div>

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'individual'">
                                <label class="form-label">{{'client.generalMeetingProtocol' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'generalMeetingProtocol')">
                            </div>

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'individual'">
                                <label class="form-label">{{'client.khIpIdDocumnets' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'khIpIdDocumnets')">
                            </div>

                            <div class="mb-3 w-50">
                                <label class="form-label">{{'client.taxPentionDebtAbsenceCertificate' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'taxPentionDebtAbsenceCertificate')">
                            </div>

                            <div class="mb-3 w-50">
                                <label class="form-label">{{'client.loanDebtAbsenceCertificate' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'loanDebtAbsenceCertificate')">
                            </div>

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'entity'">
                                <label class="form-label">{{'client.propertyCertificate' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'propertyCertificate')">
                            </div>

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'entity'">
                                <label class="form-label">{{'client.sanitaryPassports' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'sanitaryPassports')">
                            </div>

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'entity'">
                                <label class="form-label">{{'client.budgetTechPlan' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'budgetTechPlan')">
                            </div>

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'entity'">
                                <label class="form-label">{{'client.sketchPlan' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'sketchPlan')">
                            </div>

                            <div class="mb-3 w-50" *ngIf="legalStatus === 'individual'">
                                <label class="form-label">{{'client.commercialOfferPrice' | translate}}</label>
                                <input type="file" class="form-control" accept=".pdf" (change)="onFileChange($event, 'commercialOfferPrice')">
                            </div>
                        </div>
                        <button class="btn btn-outline-dark" *ngIf="legalStatus === 'entity'" (click)="onSubmit()" [disabled]="!legalDisable">{{'client.applyFor' | translate}}</button>
                        <button class="btn btn-outline-dark" *ngIf="legalStatus === 'individual'" (click)="onSubmit()" [disabled]="!personalDisable">{{'client.applyFor' | translate}}</button>
                    </div>
                </div>
            </form>
        </div>
    </div>

</div>
